features:
  secondary:
    - name: "Special markdown rendering for Design URLs"
      available_in: [premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/markdown.html#special-gitlab-references'
      reporter: andr3
      stage: create
      categories:
        - "Design Management"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/12905' 
      description: |
        Sharing a link to the Design tab is an important part of collaboration and how users can surface Designs in comments or descriptions. Currently, when sharing a link to the Design tab in markdown, the link is long and unruly: `https://gitlab.com/gitlab-org/gitlab/-/issues/12345/designs`.
        
        With this release, GitLab renders these links in a readable way so it's easy to distinguish Designs in issue descriptions or comments: `#12345 (designs)`. Now it's easier for collaborators to spot when a user is referring to Designs rather than just linking out to an issue.
